Resets every device on the entitlement and empties its activation codes' device limits.
POST
/api/v1/provision/operational/entitlements/{entitlementId}/devices/reset
const url = 'https://example.com/api/v1/provision/operational/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/devices/reset';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/provision/operational/entitlements/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/devices/resetParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”entitlementId
required
string format: uuid
The entitlement.
Responses
Section titled “Responses”OK
What resetting an entitlement’s devices did.
object
entitlementId
The entitlement whose devices were reset.
string format: uuid
devicesReset
How many activations were reset.
integer | string format: int32
transferCount
The entitlement’s transfer count after the reset.
integer | string format: int32
error
In a bulk reset: why this entitlement was not reset; null when it was.
null | string
What resetting an entitlement’s devices did.
object
entitlementId
The entitlement whose devices were reset.
string format: uuid
devicesReset
How many activations were reset.
integer | string format: int32
transferCount
The entitlement’s transfer count after the reset.
integer | string format: int32
error
In a bulk reset: why this entitlement was not reset; null when it was.
null | string
Examplegenerated
{ "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "devicesReset": 1, "transferCount": 1, "error": "example"}What resetting an entitlement’s devices did.
object
entitlementId
The entitlement whose devices were reset.
string format: uuid
devicesReset
How many activations were reset.
integer | string format: int32
transferCount
The entitlement’s transfer count after the reset.
integer | string format: int32
error
In a bulk reset: why this entitlement was not reset; null when it was.
null | string
Examplegenerated
{ "entitlementId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "devicesReset": 1, "transferCount": 1, "error": "example"}Bad Request
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}object
type
null | string
title
null | string
status
null | integer | string format: int32
detail
null | string
instance
null | string
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}